Skip to Content
inclamoDocs

Add Labels

POST
/api/v1/accounts/{account_id}/contacts/{id}/labels

Add labels to a contact. Note that this API would overwrite the existing list of labels associated to the conversation.

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

id*number

ID of the contact

Request Body

application/json
  1. body
labels*array<string>

Array of labels (comma-separated strings)

Response Body

Success

application/json
  1. response
payload?array<string>

Array of labels

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/contacts/0/labels' \  -H 'Content-Type: application/json' \  -d '{  "labels": [    "string"  ]}'
Example Response
{  "payload": [    "string"  ]}